#ifndef _PAGE_FONT_H
#define _PAGE_FONT_H

#include "imgui.h"
#include <stdio.h>
#include <map>

enum PageFontType {
	HEADER_MAIN,
	HEADER_SUB,
	NORMAL,
	SMALL,
};

class PageFont {
private:
	std::map <PageFontType, ImFont*> fonts;
public:
	PageFont();
	void loadFonts();
	void pushFont(PageFontType font);
	void popFont(PageFontType font);
};

extern PageFont PAGE_FONT;

#endif
